Follow

TLS 1.0 – End of Support

As part of our commitment to security and in alignment with industry best practices Northwestel has disabled TLS (Transport Layer Security) 1.0 encryption protocol across its solutions, including webmail.

This will require an upgrade to a TLS 1.1 or 1.2 compatible version of software if you access Northwestel mail through an older mail client. If you access your Northwestel email through the webmail portal, you are always current with the latest security requirements.

However, you are still responsible for keeping your operating system and browsers up to date to remain compatible with our webmail service.

TLS 1.0 - End of Support FAQs >

Was this article helpful?
0 out of 0 found this helpful
Powered by Zendesk